PO4A-UPDATEPO.1P(1)

NOME
po4a-updatepo - aggiorna la traduzione (in formato PO) di un documento

SINTASSI
po4a-updatepo -f fmt (-m master.doc)+ (-p XX.po)+

(XX.po sono le uscite, tutti gli altri sono ingressi)

DESCRIZIONE
L'obiettivo del progetto po4a (PO per tutto) è di facilitare le traduzioni (e cosa più interessante, la manutenzione delle traduzioni) usando gli strumenti associati a gettext in aree inaspettate come la documentazione.

Il programma po4a-updatepo si occupa di aggiornare i file PO affinché riflettano le modifiche fatte ai documenti originali; per far ciò, prima converte il documento in un file POT e quindi richiama msgmerge(1) su questo nuovo POT e sui file PO specificati.

È possibile fornire sia più di un file PO, così da aggiornare più lingue contemporaneamente, sia diversi documenti, permettendo così di raggruppare le traduzioni di più documenti nello stesso file PO.

Se il documento originale contiene dei caratteri non ASCII, questo script convertirà i file PO in UTF-8 (se già non lo erano), in modo da permettere la gestione trasparente di caratteri non standard.

OPZIONI

-f, --format
    Formato del documento in questione. L'opzione --help-format mostra l'elenco dei formati disponibili.

-m, --master
    Uno o più file contenenti il documento originale da tradurre.

-M, --master-charset
    Set di caratteri dei file contenenti il documento da tradurre. Tutti i file devono usare la stessa codifica.

-p, --po
    Uno o più file PO da aggiornare. Se qualche file non esiste, verrà creato da po4a-updatepo.

-o, --option
    Opzioni extra da passare al plugin di formato. Vedere la documentazione per ogni plugin per ulteriori informazioni sulle opzioni valide e sul loro significato. Per esempio si può passare "-o tablecells" all'analizzatore AsciiDoc mentre l'analizzatore di testo semplice accetta "-o tabs=split".

--no-previous
    Questa opzione rimuove --previous dalle opzioni passate a msgmerge. Ciò aiuta a supportare le vecchie versioni di gettext (precedenti la 0.16).

--previous
    Questa opzione aggiunge --previous alle opzioni passate a msgmerge. Richiede gettext 0.16 o successive, ed è attivata come impostazione predefinita.

--msgmerge-opt opzioni
    Opzioni extra per msgmerge(1).

-h, --help
    Mostra un breve messaggio di aiuto.

--help-format
    Elenca i formati di documento gestiti da po4a.

-V, --version
    Mostra la versione del programma ed esce.

-v, --verbose
    Rende il programma più prolisso.

-d, --debug
    Mostra delle informazioni di debug.

--porefs type[,wrap|nowrap]
    Specifica il formato di riferimento. L'argomento type può essere un valore qualsiasi tra: never per non produrre nessun riferimento, file per specificare solo il file senza il numero di riga, counter per rimpiazzare il numero di riga con un contatore incrementale, e full per includere il riferimento completo (valore predefinito: full).

    L'argomento può essere seguito da una virgola e da una delle due parole chiave wrap o nowrap. I riferimenti, come impostazione predefinita, vengono scritti su una singola riga. L'opzione wrap manda a capo i riferimento su più righe, per emulare il comportamento degli strumenti di gettext (xgettext e msgmerge). Questa opzione diventerà predefinita in una versione futura, perchè è il comportamento più logico. L'opzione nowrap è disponibile per permettere agli utenti che lo desiderassero, di mantenere il vecchio comportamento.

--wrap-po no|newlines|number (predefinito: 76)
    Specifica come il file po deve essere mandato a capo. Consente di scegliere tra file con righe mandate capo ben formattate e quindi ben leggibili ma che potrebbero portare a conflitti in git o file che sono più facili da gestire automaticamente, ma più difficili da leggere per le persone.

    Storicamente, la suite gettext riformattava i file po alla 77a colonna per questioni estetiche. Questa opzione specifica il comportamento di po4a. Se impostato su un valore numerico, po4a manderà a capo il file po a questo numero di colonna e dopo i caratteri di a capo nel testo. Se impostato su newlines, po4a dividerà msgstr e msgstr solo dopo i caratteri di a capo nel testo. Se impostato su no, po4a non metterà a capo nel testo del file po. L'andare a capo nei commenti di riferimento viene controllato dall'opzione --porefs.

    Si noti che questa opzione non ha alcun impatto sul modo in cui msgstr e msgstr vanno a capo, cioè su come i caratteri di a capo vengono aggiunti al contenuto di queste stringhe.

--msgid-bugs-address indirizzo@email
    Imposta l'indirizzo a cui inviare i rapporti di errore per i msgid. Come impostazione predefinita, i file POT creati non hanno campi Report-Msgid-Bugs-To.

--copyright-holder stringa
    Imposta l'intestatario del copyright nell'intestazione del POT. Il valore predefinito è "Free Software Foundation, Inc."

--package-name stringa
    Imposta il nome del pacchetto nell'intestazione del POT. Il valore predefinito è "PACKAGE".

--package-version stringa
    Imposta la versione del pacchetto nell'intestazione del POT. Il valore predefinito è "VERSION".

VEDERE ANCHE
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUZIONE
 Danilo Piazzalunga <danilopiazza@libero.it>
 Marco Ciampa <ciampix@posteo.net>

COPYRIGHT E LICENZA
Copyright 2002-2023 by SPI, inc.

Questo programma è software libero; è lecito ridistribuirlo o modificarlo secondo i termini della licenza GPL v2.0 o successive (vedere il file COPYING).